# Customer

Use this API resource to manage your customers. You can create customers for payments, retrieve and update their information, and delete them (which cancels all mandates and subscriptions).

## Create a customer

 - [POST /customer](https://docs.xmoney.com/api/reference/customer/create-a-customer.md): Create a new customer object for processing payments.

## List all customers

 - [GET /customer](https://docs.xmoney.com/api/reference/customer/list-all-customers.md): Use this to fetch a list of your customers.

## Retrieve a customer

 - [GET /customer/{id}](https://docs.xmoney.com/api/reference/customer/retrieve-a-customer.md): Retrieve a customer by its ID.

## Update a customer

 - [PUT /customer/{id}](https://docs.xmoney.com/api/reference/customer/update-a-customer.md): Use this endpoint to update your customer's details.

## Delete a customer

 - [DELETE /customer/{id}](https://docs.xmoney.com/api/reference/customer/delete-a-customer.md): Permanently deletes a customer. All mandates and subscriptions created for this customer will be canceled as well.

